package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.TestbRepository;
import com.realnet.basicp1.Entity.Testb
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class TestbService {
@Autowired
private TestbRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Testb Savedata(Testb data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Testb save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Testb> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Testb> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Testb> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Testb getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Testb update(Testb data,Integer id) {
	Testb old = Repository.findById(id).get();
old.setSsname(data.getSsname());

old.setDescription(data.getDescription());

old.setActive (data.isActive());

final Testb test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
